Subject: bug#71525: 30.0.50; Spin in delete-region/interval_deletion_adjustment Spin in delete-region/interval_deletion_adjustment)

From: Steven Allen <[email-masked]>
Date: Thu, 13 Jun 2024 09:06:07 -0700

Steven Allen <[email-masked]> writes:
> Eli Zaretskii <[email-masked]> writes:
>> I see a couple of Eshell-related changes, but no obvious suspects.
>>
>> Can someone please reproduce this and post a detailed backtrace,
>> including Lisp backtrace?  Jim, are you looking into this?
>
> It's hanging in the C code, not lisp. I believe the issue is:
>
> https://lists.gnu.org/archive/html/emacs-devel/2024-06/msg00241.html
>
> So I'm trying that patch now.
>
> If that doesn't work, I'll produce a backtrace sometime later today.

I can confirm that the linked patch fixes the issue. Would you still
like me to produce a backtrace?